MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007195ardourbugspublic2017-01-02 05:402017-07-09 02:43
Reporterkjetil 
Assigned Tox42 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOS10OS Version10
Product Version5.5 
Target VersionFixed in Version 
Summary0007195: Seemingly impossible to play loop or set loop range
DescriptionSelecting loop range seems impossible. Nothing happens when pressing the loop button (the button to the left of the pause/play button), and I can't find a way to set start/stop positions in the "Loop/Punch Rangers" line in the editor.

I have not had this problem before on Linux, but I don't have a Linux computer to test with right now.

Furthermore, the "timeline" link in the manual points to a missing page: http://manual.ardour.org/working-with-markers/loop-range/ [^]
Tagsloop
Attached Files

- Relationships
related to 0006182confirmed no loop from range markers 

-  Notes
(0019256)
kjetil (reporter)
2017-01-02 06:08

Figured it out. You need to right click the "Loop/Punch Rangers" track to enable looping. I spent a lot of time figuring this out, so I humbly suggests making this more obvious. For instance by automatically creating a loop range when pressing the loop button (the one left to the play/pause button), or at least show a message window telling the user that no loop range is created (plus instructions on how to create a loop range). When nothing happens, it seems like a bug in the program.
(0019262)
timbyr (developer)
2017-01-03 21:54

Is this a duplicate of #6182 ?
(0019264)
kjetil (reporter)
2017-01-04 01:54

Doesn't seem like a duplicate of #6182. Looping works, it might just take some time to figure out how to enable it if you don't know how, and the manual points to a missing page.
(0019286)
Headwar (reporter)
2017-01-16 12:59

kjetil, the manual is currently under a lot of refactoring, with near daily updates, please be patient while this goes on. In the meantime, as you've found a solution to your problem, can you mark the bug as closed ?
(0019287)
kjetil (reporter)
2017-01-16 13:03

Hi, the issue is that it can be very frustrating to find out how to loop unless you know how. This has not been resolved. My suggestion was that you automatically add loop points when you click the loop-play button, if there are no loop points. Now, nothing happens when you press the loop-play button, and that seems like a bug. Whether it really is a bug is not the point. It does appear like a bug though.
(0019288)
Headwar (reporter)
2017-01-17 02:17

Hi kjetil,
1) it's a feature request then, not a bug
2) how would Ardour know on what to loop
A better (imho) approach would be to disable the loop button when no loop range is defined
(0019289)
kjetil (reporter)
2017-01-17 02:29

Hi,
1. Technically, it might be a feature request, not a bug. But as long as it appear as a bug, that's what counts.
2. Yeah, disable the loop button would not make it seem like a bug, but it would be more efficient if it automatically made loop points between, say, start, and the end of the last sound. Even just looping between 0 and 1:00 would be okay.
(0019324)
x42 (administrator)
2017-01-28 08:58

Opted for making it insensitive in Ardour 5.5-615-g0092442a6

The problem with (2) is that there's no reasonable default what to loop.
Also if it's set to current selection a user may expect that to happen when engaging loop-play even if there's a loop-range.
(0019873)
kjetil (reporter)
2017-07-09 02:39
edited on: 2017-07-09 02:43

I just spent around 5 minutes trying to make a loop again. I had forgotten how to do it again, couldn't figure it out. Also spent time looking on the internet but all the explanations that were there were outdated and extremely verbose.

Also, I'm pretty sure I tried right-clicking during those 5 minutes, probably several times. I even tried right-clicking again now, after reading this text, and nothing happpened. Then I tried right-clicking again, and now suddenly the popup menu showed up. I can't reproduce what I did when the popup menu didn't show up.

I guess the popup-menu problem can be hard to fix, especially since I'm unable to reproduce, but at least you should create loop start/end markers automatically when pressing the loop button. It would lower frustration a lot.


- Issue History
Date Modified Username Field Change
2017-01-02 05:40 kjetil New Issue
2017-01-02 05:42 kjetil Tag Attached: loop
2017-01-02 06:08 kjetil Note Added: 0019256
2017-01-03 21:52 timbyr Relationship added related to 0006182
2017-01-03 21:54 timbyr Note Added: 0019262
2017-01-04 01:54 kjetil Note Added: 0019264
2017-01-16 12:59 Headwar Note Added: 0019286
2017-01-16 13:03 kjetil Note Added: 0019287
2017-01-17 02:17 Headwar Note Added: 0019288
2017-01-17 02:29 kjetil Note Added: 0019289
2017-01-28 08:58 x42 Note Added: 0019324
2017-01-28 08:58 x42 Status new => resolved
2017-01-28 08:58 x42 Resolution open => fixed
2017-01-28 08:58 x42 Assigned To => x42
2017-07-09 02:39 kjetil Note Added: 0019873
2017-07-09 02:43 kjetil Note Edited: 0019873 View Revisions


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker